import { Disposable } from "vscode/vscode/vs/base/common/lifecycle";
import { IWorkbenchContribution } from "vscode/vscode/vs/workbench/common/contributions";
import { Action2 } from "vscode/vscode/vs/platform/actions/common/actions";
import { ServicesAccessor } from "vscode/vscode/vs/platform/instantiation/common/instantiation";
import { IEditorGroupsService } from "vscode/vscode/vs/workbench/services/editor/common/editorGroupsService.service";
export declare class LanguageStatusContribution extends Disposable implements IWorkbenchContribution {
    private readonly editorGroupService;
    static readonly Id = "status.languageStatus";
    constructor(editorGroupService: IEditorGroupsService);
    private createLanguageStatus;
}
export declare class ResetAction extends Action2 {
    constructor();
    run(accessor: ServicesAccessor): void;
}
