import { Disposable } from "vscode/vscode/vs/base/common/lifecycle";
import { URI } from "vscode/vscode/vs/base/common/uri";
import { IStorageService } from "vscode/vscode/vs/platform/storage/common/storage.service";
import { CustomEditorInfo } from "./customEditor.js";
export declare class ContributedCustomEditors extends Disposable {
    private static readonly CUSTOM_EDITORS_STORAGE_ID;
    private static readonly CUSTOM_EDITORS_ENTRY_ID;
    private readonly _editors;
    private readonly _memento;
    constructor(storageService: IStorageService);
    private readonly _onChange;
    readonly onChange: import("vscode/vscode/vs/base/common/event").Event<void>;
    private update;
    [Symbol.iterator](): Iterator<CustomEditorInfo>;
    get(viewType: string): CustomEditorInfo | undefined;
    getContributedEditors(resource: URI): readonly CustomEditorInfo[];
    private add;
}
