import { IReference } from "vscode/vscode/vs/base/common/lifecycle";
import { URI } from "vscode/vscode/vs/base/common/uri";
import { ICustomEditorModel, ICustomEditorModelManager } from "./customEditor.js";
export declare class CustomEditorModelManager implements ICustomEditorModelManager {
    private readonly _references;
    getAllModels(resource: URI): Promise<ICustomEditorModel[]>;
    get(resource: URI, viewType: string): Promise<ICustomEditorModel | undefined>;
    tryRetain(resource: URI, viewType: string): Promise<IReference<ICustomEditorModel>> | undefined;
    add(resource: URI, viewType: string, model: Promise<ICustomEditorModel>): Promise<IReference<ICustomEditorModel>>;
    disposeAllModelsForView(viewType: string): void;
    private key;
}
