import { IObservable } from "vscode/vscode/vs/base/common/observable";
import { IConfigurationService } from "vscode/vscode/vs/platform/configuration/common/configuration.service";
import { IInstantiationService } from "vscode/vscode/vs/platform/instantiation/common/instantiation";
import { MergeEditorViewModel } from "../viewModel.js";
import { CodeEditorView } from "./codeEditorView.js";
export declare class BaseCodeEditorView extends CodeEditorView {
    constructor(viewModel: IObservable<MergeEditorViewModel | undefined>, instantiationService: IInstantiationService, configurationService: IConfigurationService);
    private readonly decorations;
}
