import { IObservable } from "vscode/vscode/vs/base/common/observable";
import { IConfigurationService } from "vscode/vscode/vs/platform/configuration/common/configuration.service";
import { IInstantiationService } from "vscode/vscode/vs/platform/instantiation/common/instantiation";
import { ILabelService } from "vscode/vscode/vs/platform/label/common/label.service";
import { MergeEditorViewModel } from "../viewModel.js";
import { CodeEditorView } from "./codeEditorView.js";
export declare class ResultCodeEditorView extends CodeEditorView {
    private readonly _labelService;
    constructor(viewModel: IObservable<MergeEditorViewModel | undefined>, instantiationService: IInstantiationService, _labelService: ILabelService, configurationService: IConfigurationService);
    private readonly decorations;
}
