import { IStatusbarService } from "vscode/vscode/vs/workbench/services/statusbar/browser/statusbar.service";
import { Disposable } from "vscode/vscode/vs/base/common/lifecycle";
import { IKeyboardLayoutService } from "vscode/vscode/vs/platform/keyboardLayout/common/keyboardLayout.service";
import { IWorkbenchContribution } from "vscode/vscode/vs/workbench/common/contributions";
export declare class KeyboardLayoutPickerContribution extends Disposable implements IWorkbenchContribution {
    private readonly keyboardLayoutService;
    private readonly statusbarService;
    static readonly ID = "workbench.contrib.keyboardLayoutPicker";
    private readonly pickerElement;
    constructor(keyboardLayoutService: IKeyboardLayoutService, statusbarService: IStatusbarService);
}
